richlistbox#extensionsView {
  -moz-binding: url("chrome://mozapps/content/extensions/extensions.xml#addons");
}

richlistitem {
  -moz-binding: url("chrome://mozapps/content/extensions/extensions.xml#addon");
}

richlistitem[selected="true"] {
  -moz-binding: url("chrome://mozapps/content/extensions/extensions.xml#addon-selected");
}

richlistitem[typeName="update"] {
  -moz-binding: url("chrome://mozapps/content/extensions/extensions.xml#update-found");
}

richlistitem[updateStatus] {
  -moz-binding: url("chrome://mozapps/content/extensions/extensions.xml#update-checking");
}

richlistitem[state] {
  -moz-binding: url("chrome://mozapps/content/extensions/extensions.xml#install");
}

richlistitem[state="downloading"] {
  -moz-binding: url("chrome://mozapps/content/extensions/extensions.xml#install-downloading");
}

richlistitem[state="waiting"] hbox.addon-install-status {
  -moz-binding: url("chrome://mozapps/content/extensions/extensions.xml#addon-install-waiting");
}

richlistitem[state="incompatibleUpdate"] hbox.addon-install-status {
  -moz-binding: url("chrome://mozapps/content/extensions/extensions.xml#addon-install-incompatibleUpdate");
}

richlistitem[state="finishing"] hbox.addon-install-status {
  -moz-binding: url("chrome://mozapps/content/extensions/extensions.xml#addon-install-finishing");
}

richlistitem[state="success"][opType="needs-install"] hbox.addon-install-status {
  -moz-binding: url("chrome://mozapps/content/extensions/extensions.xml#addon-install-restart");
}

richlistitem[state="success"][opType="needs-upgrade"] hbox.addon-install-status {
  -moz-binding: url("chrome://mozapps/content/extensions/extensions.xml#addon-upgrade-restart");
}

richlistitem[state="success"] hbox.addon-install-status {
  -moz-binding: url("chrome://mozapps/content/extensions/extensions.xml#addon-install-success");
}

richlistbox[norestart] richlistitem[state="success"] hbox.addon-install-status {
  -moz-binding: url("chrome://mozapps/content/extensions/extensions.xml#addon-install-updated");
}

richlistitem[state="failure"] hbox.addon-install-status {
  -moz-binding: url("chrome://mozapps/content/extensions/extensions.xml#addon-install-fail");
}

vbox.addon-icon {
  -moz-binding: url("chrome://mozapps/content/extensions/extensions.xml#addon-icon");
}

hbox.addon-name-version {
  -moz-binding: url("chrome://mozapps/content/extensions/extensions.xml#addon-name-version");
}

richlistitem:not([opType]) hbox.addon-optype {
  display: none;
}

richlistitem hbox.addon-description {
  -moz-binding: url("chrome://mozapps/content/extensions/extensions.xml#addon-description-crop");
}

richlistitem[opType="needs-uninstall"] hbox.addon-optype,
richlistitem[opType="needs-uninstall"] hbox.addon-description {
  -moz-binding: url("chrome://mozapps/content/extensions/extensions.xml#addon-needs-uninstall");
}

richlistitem[opType="needs-install"] hbox.addon-optype,
richlistitem[opType="needs-install"] hbox.addon-description {
  -moz-binding: url("chrome://mozapps/content/extensions/extensions.xml#addon-needs-install");
}

richlistitem[opType="needs-upgrade"] hbox.addon-optype,
richlistitem[opType="needs-upgrade"] hbox.addon-description {
  -moz-binding: url("chrome://mozapps/content/extensions/extensions.xml#addon-needs-upgrade");
}

richlistitem[opType="needs-enable"] hbox.addon-optype,
richlistitem[opType="needs-enable"] hbox.addon-description {
  -moz-binding: url("chrome://mozapps/content/extensions/extensions.xml#addon-needs-enable");
}

richlistitem[opType="needs-disable"] hbox.addon-optype,
richlistitem[opType="needs-disable"] hbox.addon-description {
  -moz-binding: url("chrome://mozapps/content/extensions/extensions.xml#addon-needs-disable");
}

#viewGroup radio {
  -moz-binding: url("chrome://mozapps/content/extensions/extensions.xml#viewbutton");
  -moz-box-orient: vertical;
  -moz-box-align: center;
  -moz-appearance: none;
}

/* Hide / Display buttons depending on the state of the add-on */
.enableHide,
.uninstallShow,
.installShow,
.upgradeShow,
richlistitem[isDisabled="true"] .disableHide {
  display: none;
}

richlistitem[opType="needs-uninstall"] .uninstallShow,
richlistitem[opType="needs-install"] .installShow,
richlistitem[opType="needs-upgrade"] .upgradeShow,
richlistitem[opType="needs-enable"] .enableShow,
richlistitem[opType="needs-disable"] .disableShow,
richlistitem[isDisabled="true"] .disableShow {
  display: -moz-box;
}

richlistitem[opType="needs-uninstall"] .uninstallHide,
richlistitem[opType="needs-install"] .uninstallHide,
richlistitem[opType="needs-upgrade"] .uninstallHide,
richlistitem[opType="needs-enable"] .enableHide,
richlistitem[opType="needs-disable"] .disableHide {
  display: none;
}

richlistitem[plugin] .themeButton,
richlistitem[plugin] .optionsButton,
richlistitem[plugin] .uninstallButton,
richlistitem[type="2"] .themeButton,
richlistitem[type="8"] .themeButton,
richlistitem[type="4"] .optionsButton,
richlistitem[type="8"] .optionsButton,
richlistitem[type="4"] .disableShow,
richlistitem[type="4"] .disableHide {
  display: none;
}
